import { IUserEntity } from 'bf-types';
import { NexusConfig, Nullable } from '../common';
import { ClientAuth, System } from './Types';
export interface Nexus {
    getUrl(): string;
    getLoginUrl(returnUrl?: string): string;
    getUser(): IUserEntity;
    disconnect(): void;
    reconnect(): Promise<Nullable<IUserEntity>>;
}
export default function nexus(system: System, config: NexusConfig, clientAuth: ClientAuth): Promise<Nexus>;
