export declare const GET = "get";
export declare const POST = "post";
export declare const PUT = "put";
export declare const DELETE = "delete";
export declare type RequestMethod = typeof GET | typeof POST | typeof PUT | typeof DELETE;
export declare const X_ORGANIZATION = "X-Organization";
export declare const X_CLIENT_TZ = "X-Client-Tz";
export declare const OK = 200;
export declare const CREATED = 201;
export declare const MOVED_PERMANENTLY = 301;
export declare const BAD_REQUEST = 400;
export declare const UNAUTHORIZED = 401;
export declare const FORBIDDEN = 403;
export declare const IM_A_TEAPOT = 418;
export declare const INTERNAL_SERVER_ERROR = 500;
export declare const BAD_GATEWAY = 502;
