"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sleep = void 0;
/**
 * Return a promise that will resolve after the given number of milliseconds
 *
 * @param time The time in milliseconds to wait before resolving the promise
 */
function sleep(time) {
    return new Promise((done) => {
        setTimeout(done, time);
    });
}
exports.sleep = sleep;
